Loading...
Searching...
No Matches
pcl::io::openni2::OpenNI2FrameListener Class Reference

`#include <pcl/io/openni2/openni2_frame_listener.h>`

Inheritance diagram for pcl::io::openni2::OpenNI2FrameListener:

## Public Member Functions

| OpenNI2FrameListener ()=default
| OpenNI2FrameListener (StreamCallbackFunction cb)
| ~OpenNI2FrameListener () override=default
void | onNewFrame (openni::VideoStream &stream) override
void | setCallback (StreamCallbackFunction cb)

## Detailed Description

Definition at line 55 of file openni2_frame_listener.h.

## Constructor & Destructor Documentation

## OpenNI2FrameListener() [1/2]

pcl::io::openni2::OpenNI2FrameListener::OpenNI2FrameListener | ( |  | ) |

default

## OpenNI2FrameListener() [2/2]

pcl::io::openni2::OpenNI2FrameListener::OpenNI2FrameListener | ( | StreamCallbackFunction | cb | ) |

inline

Definition at line 61 of file openni2_frame_listener.h.

## ~OpenNI2FrameListener()

pcl::io::openni2::OpenNI2FrameListener::~OpenNI2FrameListener | ( |  | ) |

override default

## Member Function Documentation

## onNewFrame()

void pcl::io::openni2::OpenNI2FrameListener::onNewFrame | ( | openni::VideoStream & | stream | ) |

inline override

Definition at line 67 of file openni2_frame_listener.h.

## setCallback()

void pcl::io::openni2::OpenNI2FrameListener::setCallback | ( | StreamCallbackFunction | cb | ) |

inline

Definition at line 74 of file openni2_frame_listener.h.

The documentation for this class was generated from the following file:

- pcl/io/openni2/openni2_frame_listener.h